×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    May 2005
    Posts
    3

    MIDlet doesn't start in Nokia 9300

    Hello, i am working on some MIDlet for Nokia 9300. When I compile it with old version of Java JDK (1.3.1) and pre-verify with Series-60 preverifier, I can run it in my Nokia 9300 (but I am limited in functions etc., of course). When I compile it with new version of JDK (1.5.0_02) and pre-verify with Series-80 preverifier, everything is succesfull, I can install it to my phone but when I run it there, nothing happens (it just does not start).

    I was very confused and thought that problem is in my code, but to my surprise, when I compiled and pre-verified Nokia example MIDlet (simple HelloWorld) in accordance with Nokia S80_DP2_0_MIDP_SDK_Users_Guide.pdf, its behaviour was exactly the same. I installed it to my Nokia 9300 succesfully, but nothing happened when I tried to run it. It's pretty strange, because it's example MIDlet for S80 phone (Nokia 9300 and 9500).

    Any ideas, please?

  2. #2
    Regular Contributor
    Join Date
    Mar 2005
    Posts
    249
    what version of midp and cldc does your jar manifest reflect? nokia 9300 uses 2.0 and 1.1 respectively.

  3. #3
    Registered User
    Join Date
    May 2005
    Posts
    3
    MIDP-2.0
    CLCD-1.1

  4. #4
    Registered User
    Join Date
    May 2005
    Posts
    3
    Well, it was caused by JDK. When I installed OLDER JDK version (1.3.1), it worked.

    Oh my god...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •